# Poco

# template < class T0, class T1 = NullTypeList, class T2 = NullTypeList, class T3 = NullTypeList, class T4 = NullTypeList, class T5 = NullTypeList, class T6 = NullTypeList, class T7 = NullTypeList, class T8 = NullTypeList, class T9 = NullTypeList, class T10 = NullTypeList, class T11 = NullTypeList, class T12 = NullTypeList, class T13 = NullTypeList, class T14 = NullTypeList, class T15 = NullTypeList, class T16 = NullTypeList, class T17 = NullTypeList, class T18 = NullTypeList, class T19 = NullTypeList >

# struct Tuple

Library: Foundation
Package: Core
Header: Poco/Tuple.h

## Member Summary

Member Functions: get, operator !=, operator <, operator ==, set

## Types

### Type

typedef typename TypeListType < T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19 >::HeadType Type;

## Enumerations

### TupleLengthType

length = Type::length

## Constructors

### Tuple

Tuple();

### Tuple

Tuple(
typename TypeWrapper < T0 >::CONSTTYPE & t0,
typename TypeWrapper < T1 >::CONSTTYPE & t1 = typename TypeWrapper < T1 >::TYPE (),
typename TypeWrapper < T2 >::CONSTTYPE & t2 = typename TypeWrapper < T2 >::TYPE (),
typename TypeWrapper < T3 >::CONSTTYPE & t3 = typename TypeWrapper < T3 >::TYPE (),
typename TypeWrapper < T4 >::CONSTTYPE & t4 = typename TypeWrapper < T4 >::TYPE (),
typename TypeWrapper < T5 >::CONSTTYPE & t5 = typename TypeWrapper < T5 >::TYPE (),
typename TypeWrapper < T6 >::CONSTTYPE & t6 = typename TypeWrapper < T6 >::TYPE (),
typename TypeWrapper < T7 >::CONSTTYPE & t7 = typename TypeWrapper < T7 >::TYPE (),
typename TypeWrapper < T8 >::CONSTTYPE & t8 = typename TypeWrapper < T8 >::TYPE (),
typename TypeWrapper < T9 >::CONSTTYPE & t9 = typename TypeWrapper < T9 >::TYPE (),
typename TypeWrapper < T10 >::CONSTTYPE & t10 = typename TypeWrapper < T10 >::TYPE (),
typename TypeWrapper < T11 >::CONSTTYPE & t11 = typename TypeWrapper < T11 >::TYPE (),
typename TypeWrapper < T12 >::CONSTTYPE & t12 = typename TypeWrapper < T12 >::TYPE (),
typename TypeWrapper < T13 >::CONSTTYPE & t13 = typename TypeWrapper < T13 >::TYPE (),
typename TypeWrapper < T14 >::CONSTTYPE & t14 = typename TypeWrapper < T14 >::TYPE (),
typename TypeWrapper < T15 >::CONSTTYPE & t15 = typename TypeWrapper < T15 >::TYPE (),
typename TypeWrapper < T16 >::CONSTTYPE & t16 = typename TypeWrapper < T16 >::TYPE (),
typename TypeWrapper < T17 >::CONSTTYPE & t17 = typename TypeWrapper < T17 >::TYPE (),
typename TypeWrapper < T18 >::CONSTTYPE & t18 = typename TypeWrapper < T18 >::TYPE (),
typename TypeWrapper < T19 >::CONSTTYPE & t19 = typename TypeWrapper < T19 >::TYPE ()
);

## Member Functions

### get

template < int N > typename TypeGetter < N, Type >::ConstHeadType & get() const;

### get

template < int N > typename TypeGetter < N, Type >::HeadType & get();

### operator !=

bool operator != (
const Tuple & other
) const;

### operator <

bool operator < (
const Tuple & other
) const;

### operator ==

bool operator == (
const Tuple & other
) const;

### set

template < int N > void set(
typename TypeGetter < N,
Type >::ConstHeadType & val
);